'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Divider = function Divider(props) {
  var inset = props.inset,
      className = props.className,
      style = props.style,
      other = _objectWithoutProperties(props, ['inset', 'className', 'style']);

  var mergedClassNames = (0, _classnames2.default)(_defineProperty({
    'zui-divider': true,
    'inset': inset
  }, className, !!className));
  return _react2.default.createElement('hr', _extends({}, other, { style: style, className: mergedClassNames }));
};

Divider.propTypes = {
  className: _propTypes2.default.string,
  /**
  * If true, the `Divider` will be indented.
  */
  inset: _propTypes2.default.bool,
  style: _propTypes2.default.object
};

Divider.defaultProps = {
  inset: false
};

exports.default = Divider;