'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _autoPrefix = require('../util/autoPrefix');

var _autoPrefix2 = _interopRequireDefault(_autoPrefix);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FloatingBar = function (_Component) {
  _inherits(FloatingBar, _Component);

  function FloatingBar() {
    _classCallCheck(this, FloatingBar);

    return _possibleConstructorReturn(this, (FloatingBar.__proto__ || Object.getPrototypeOf(FloatingBar)).apply(this, arguments));
  }

  _createClass(FloatingBar, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          width = _props.width,
          translateX = _props.translateX;

      if (!/^\d+(\.\d+)?px$/.test(width)) {
        width = width + 'px';
      }
      if (!/^\d+(\.\d+)?px$/.test(translateX)) {
        translateX = translateX + 'px';
      }
      var style = {
        width: width
      };
      _autoPrefix2.default.set(style, 'transform', 'translateX(' + translateX + ')');
      return _react2.default.createElement('div', { className: 'zui-tab-floatingBar', style: style });
    }
  }]);

  return FloatingBar;
}(_react.Component);

FloatingBar.propTypes = {
  translateX: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]),
  width: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number])
};
exports.default = FloatingBar;